## org.apache.mahout.classifier.sgd
Class ModelDissector.Weight

    java.lang.Object
      org.apache.mahout.classifier.sgd.ModelDissector.Weight

All Implemented Interfaces:
  java.lang.Comparable<ModelDissector.Weight>

Enclosing class:
  ModelDissector

    public static class ModelDissector.Weight

extends java.lang.Object
implements java.lang.Comparable<ModelDissector.Weight>

Constructor Summary
`ModelDissector.Weight(java.lang.String feature, Vector weights)`
`ModelDissector.Weight(java.lang.String feature, Vector weights, int n)`

Method Summary
`int` `compareTo(ModelDissector.Weight other)`
`double` `getCategory(int n)`
`java.lang.String` `getFeature()`
`int` `getMaxImpact()`
`double` `getWeight()`
`double` `getWeight(int n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelDissector.Weight

    public ModelDissector.Weight(java.lang.String feature,
                                 Vector weights)

### ModelDissector.Weight

    public ModelDissector.Weight(java.lang.String feature,
                                 Vector weights,
                                 int n)

Method Detail

### compareTo

    public int compareTo(ModelDissector.Weight other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<ModelDissector.Weight>`

### getFeature

    public java.lang.String getFeature()

### getWeight

    public double getWeight()

### getWeight

    public double getWeight(int n)

### getCategory

    public double getCategory(int n)

### getMaxImpact

    public int getMaxImpact()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.